Subject: looking for info on the Cuban herb "tilo"

From: [email-masked] (David and Mary Ann Drake and Kevin Read)
Date: Mon, 11 Sep 1995 18:42:25 GMT

A friend of mine, who is of Cuban descent, recently told me about an
herb her grandparents used to call 'tilo,' whose leaves, mixed with
some water, was wonderful in helping her to fall asleep.
Unfortunately, none of my books list this herb, and I am sure it is
more of a local name. I would appreciate any help in finding other
things it might be called so that I might find out more about it.
Thanks, 
David